-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Scroll View
The JavaScript ScrollView is a UI component that enables a user to scroll its content. This demo shows how to display the scrollbar within a container and how to update the JavaScript ScrollView content.
Backend API
$(() => {
$('#scrollview-content').html(longText);
function updateContent(args, eventName) {
setTimeout(() => {
$(`<br /><div>Content has been updated on the ${eventName} event.</div><br />`)[eventName === 'PullDown' ? 'prependTo' : 'appendTo']('#scrollview-content');
args.component.release();
}, 500);
}
function updateBottomContent(e) {
updateContent(e, 'ReachBottom');
}
function updateTopContent(e) {
updateContent(e, 'PullDown');
}
const scrollViewWidget = $('#scrollview').dxScrollView({
scrollByContent: true,
scrollByThumb: true,
showScrollbar: 'onScroll',
onReachBottom: updateBottomContent,
reachBottomText: 'Updating...',
}).dxScrollView('instance');
const showScrollbarModes = [{
text: 'On Scroll',
value: 'onScroll',
}, {
text: 'On Hover',
value: 'onHover',
}, {
text: 'Always',
value: 'always',
}, {
text: 'Never',
value: 'never',
}];
$('#show-scrollbar-mode').dxSelectBox({
items: showScrollbarModes,
value: showScrollbarModes[0].value,
inputAttr: { 'aria-label': 'Show Scrollbar Mode' },
valueExpr: 'value',
displayExpr: 'text',
onValueChanged(data) {
scrollViewWidget.option('showScrollbar', data.value);
},
});
$('#use-reach-bottom').dxCheckBox({
value: true,
text: 'Update content on the ReachBottom event',
onValueChanged(data) {
scrollViewWidget.option('onReachBottom', data.value ? updateBottomContent : null);
},
});
$('#use-pull-down-bottom').dxCheckBox({
value: false,
text: 'Update content on the PullDown event',
onValueChanged(data) {
scrollViewWidget.option('onPullDown', data.value ? updateTopContent : null);
scrollViewWidget.option('bounceEnabled', data.value);
},
});
$('#scroll-by-content').dxCheckBox({
value: true,
text: 'Scroll by content',
onValueChanged(data) {
scrollViewWidget.option('scrollByContent', data.value);
},
});
$('#scroll-by-thumb').dxCheckBox({
value: true,
text: 'Scroll by thumb',
onValueChanged(data) {
scrollViewWidget.option('scrollByThumb', data.value);
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="js/dx.all.js?v=26.1.4"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="scrollview-demo">
<div id="scrollview">
<div id="scrollview-content"></div>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Show scrollbar:</span>
<div id="show-scrollbar-mode"></div>
</div>
<div class="option">
<div id="use-reach-bottom"></div>
</div>
<div class="option">
<div id="use-pull-down-bottom"></div>
</div>
<div class="option">
<div id="scroll-by-content"></div>
</div>
<div class="option">
<div id="scroll-by-thumb"></div>
</div>
</div>
</div>
</div>
</body>
</html>
#scrollview-demo {
min-height: 550px;
}
#scrollview {
height: auto;
position: absolute;
top: 0;
bottom: 300px;
padding: 20px;
}
#scrollview-content {
white-space: pre-wrap;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: absolute;
bottom: 0;
left: 0;
right: 0;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
position: relative;
top: 2px;
margin-right: 10px;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 340px;
width: 100%;
}
let longText = '';
for (let i = 0; i < 10; i += 1) {
longText += 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n\n';
}
longText += '<br />';

Backend API
<div id="scrollview-demo">
<dx-scroll-view
#scrollView
id="scrollview"
[scrollByContent]="scrollByContent"
[scrollByThumb]="scrollByThumb"
[showScrollbar]="scrollbarMode"
[bounceEnabled]="pullDown"
reachBottomText="Updating..."
(onPullDown)="updateTopContent($event)"
(onReachBottom)="updateBottomContent($event)"
>
<div id="scrollview-content" [innerHTML]="content"></div>
</dx-scroll-view>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Show scrollbar:</span>
<dx-select-box
id="show-scrollbar-mode"
[inputAttr]="{ 'aria-label': 'Show Scrollbar Mode' }"
[items]="showScrollbarModes"
valueExpr="value"
displayExpr="text"
[(value)]="scrollbarMode"
>
</dx-select-box>
</div>
<div class="option">
<dx-check-box
text="Update content on the ReachBottom event"
(onValueChanged)="valueChanged($event)"
[value]="true"
>
</dx-check-box>
</div>
<div class="option">
<dx-check-box
text="Update content on the PullDown event"
[(value)]="pullDown"
>
</dx-check-box>
</div>
<div class="option">
<dx-check-box text="Scroll by content" [(value)]="scrollByContent">
</dx-check-box>
</div>
<div class="option">
<dx-check-box text="Scroll by thumb" [(value)]="scrollByThumb">
</dx-check-box>
</div>
</div>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import {
Component,
ViewChild,
AfterViewInit,
enableProdMode,
provideZoneChangeDetection,
} from '@angular/core';
import { DxSelectBoxModule } from 'devextreme-angular';
import { DxCheckBoxModule, DxCheckBoxTypes } from 'devextreme-angular/ui/check-box';
import { DxScrollViewModule, DxScrollViewComponent, DxScrollViewTypes } from 'devextreme-angular/ui/scroll-view';
import { ScrollbarMode } from 'devextreme-angular/common';
import { Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
preserveWhitespaces: true,
imports: [
DxScrollViewModule,
DxCheckBoxModule,
DxSelectBoxModule,
],
})
export class AppComponent implements AfterViewInit {
@ViewChild(DxScrollViewComponent, { static: false }) scrollView: DxScrollViewComponent;
showScrollbarModes: { text: string, value: ScrollbarMode }[] = [
{
text: 'On Scroll',
value: 'onScroll',
}, {
text: 'On Hover',
value: 'onHover',
}, {
text: 'Always',
value: 'always',
}, {
text: 'Never',
value: 'never',
},
];
content: string;
updateContentTimer: unknown;
scrollByContent = true;
scrollByThumb = true;
scrollbarMode: ScrollbarMode = this.showScrollbarModes[0].value;
pullDown = false;
constructor(service: Service) {
this.content = service.getContent();
}
ngAfterViewInit() {
this.scrollView.instance.option('onReachBottom', this.updateBottomContent);
}
valueChanged = (data: DxCheckBoxTypes.ValueChangedEvent) => {
this.scrollView.instance.option('onReachBottom', data.value ? this.updateBottomContent : null);
};
updateContent = (args: DxScrollViewTypes.PullDownEvent | DxScrollViewTypes.ReachBottomEvent, eventName: string) => {
const updateContentText = `<br /><div>Content has been updated on the ${eventName} event.</div><br />`;
if (this.updateContentTimer) { clearTimeout(this.updateContentTimer as number); }
this.updateContentTimer = setTimeout(() => {
this.content = (eventName === 'PullDown' ? updateContentText + this.content : this.content + updateContentText);
args.component.release(false);
}, 500);
};
updateTopContent = (e: DxScrollViewTypes.PullDownEvent) => {
this.updateContent(e, 'PullDown');
};
updateBottomContent = (e: DxScrollViewTypes.ReachBottomEvent) => {
this.updateContent(e, 'ReachBottom');
};
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #scrollview-demo {
min-height: 550px;
}
::ng-deep #scrollview {
height: auto;
position: absolute;
top: 0;
bottom: 300px;
padding: 20px;
}
::ng-deep #scrollview-content {
white-space: pre-wrap;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: absolute;
bottom: 0;
left: 0;
right: 0;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
position: relative;
top: 2px;
margin-right: 10px;
}
::ng-deep .option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 340px;
width: 100%;
}
import { Injectable } from '@angular/core';
let content = '';
@Injectable()
export class Service {
getContent() {
for (let i = 0; i < 10; i += 1) {
content += 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n\n';
}
content += '<br />';
return content;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Backend API
<template>
<div>
<div id="scrollview-demo">
<DxScrollView
id="scrollview"
ref="scrollViewWidget"
:scroll-by-content="scrollByContent"
:scroll-by-thumb="scrollByThumb"
:show-scrollbar="showScrollbar"
:bounce-enabled="pullDown"
reach-bottom-text="Updating..."
@pull-down="updateTopContent"
@reach-bottom="updateBottomContent"
>
<div
class="text-content"
v-html="content"
/>
</DxScrollView>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Show scrollbar: </span>
<DxSelectBox
id="show-scrollbar-mode"
:items="showScrollbarModes"
:input-attr="{ 'aria-label': 'Show Scrollbar Mode' }"
v-model:value="showScrollbar"
value-expr="value"
display-expr="text"
/>
</div>
<div class="option">
<DxCheckBox
id="use-reach-bottom"
:value="true"
text="Update content on the ReachBottom event"
@value-changed="onValueChanged"
/>
</div>
<div class="option">
<DxCheckBox
id="use-pull-down-bottom"
v-model:value="pullDown"
text="Update content on the PullDown event"
/>
</div>
<div class="option">
<DxCheckBox
v-model:value="scrollByContent"
text="Scroll by content"
/>
</div>
<div class="option">
<DxCheckBox
v-model:value="scrollByThumb"
text="Scroll by thumb"
/>
</div>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import { DxScrollView, type DxScrollViewTypes } from 'devextreme-vue/scroll-view';
import { DxSelectBox } from 'devextreme-vue/select-box';
import { DxCheckBox, type DxCheckBoxTypes } from 'devextreme-vue/check-box';
import { longText } from './data.ts';
const content = ref(longText);
const pullDown = ref(false);
const showScrollbarModes = ref([
{
text: 'On Scroll',
value: 'onScroll',
},
{
text: 'On Hover',
value: 'onHover',
},
{
text: 'Always',
value: 'always',
},
{
text: 'Never',
value: 'never',
},
]);
const showScrollbar = ref<DxScrollViewTypes.Properties['showScrollbar']>('onScroll');
const scrollByContent = ref(true);
const scrollByThumb = ref(true);
const scrollViewWidget = ref();
let updateContentTimer: ReturnType<typeof setTimeout>;
function updateContent(args: DxScrollViewTypes.ReachBottomEvent, eventName: string) {
const updateContentText = `<br /><div>Content has been updated on the ${
eventName
} event.</div><br />`;
if (updateContentTimer) clearTimeout(updateContentTimer);
updateContentTimer = setTimeout(() => {
content.value = eventName === 'PullDown'
? updateContentText + content.value
: content.value + updateContentText;
args.component.release(false);
}, 500);
}
function updateBottomContent(e: DxScrollViewTypes.ReachBottomEvent) {
updateContent(e, 'ReachBottom');
}
function updateTopContent(e: DxScrollViewTypes.PullDownEvent) {
updateContent(e, 'PullDown');
}
function onValueChanged(args: DxCheckBoxTypes.ValueChangedEvent) {
scrollViewWidget.value.instance.option(
'onReachBottom',
args.value ? updateBottomContent : null,
);
}
</script>
<style scoped>
#scrollview-demo {
min-height: 550px;
}
#scrollview {
height: auto;
position: absolute;
top: 0;
bottom: 300px;
padding: 20px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: absolute;
bottom: 0;
left: 0;
right: 0;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
position: relative;
top: 2px;
margin-right: 10px;
}
.text-content {
white-space: pre-wrap;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 340px;
width: 100%;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.25/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.67/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let text = '';
for (let i = 0; i < 10; i += 1) {
text += 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n\n';
}
export const longText = text;
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

Backend API
import React, { useCallback, useRef, useState } from 'react';
import CheckBox from 'devextreme-react/check-box';
import type { CheckBoxTypes } from 'devextreme-react/check-box';
import ScrollView from 'devextreme-react/scroll-view';
import type { ScrollViewRef, ScrollViewTypes } from 'devextreme-react/scroll-view';
import SelectBox from 'devextreme-react/select-box';
import service from './data.ts';
type UpdateContentArgs = ScrollViewTypes.PullDownEvent | ScrollViewTypes.ReachBottomEvent;
type CheckBoxValue = CheckBoxTypes.Properties['value'];
const showScrollBarModeLabel = { 'aria-label': 'Show Scrollbar Mode' };
let updateContentTimer: ReturnType<typeof setTimeout>;
const App = () => {
const [showScrollBarMode, setShowScrollBarMode] = useState<ScrollViewTypes.Properties['showScrollbar']>('onScroll');
const [pullDown, setPullDown] = useState<CheckBoxValue>(false);
const [scrollByContent, setScrollByContent] = useState<CheckBoxValue>(true);
const [scrollByThumb, setScrollByThumb] = useState<CheckBoxValue>(true);
const [content, setContent] = useState<string>(service.getContent());
const [reachBottom, setReachBottom] = useState<CheckBoxValue>(true);
const scrollViewRef = useRef<ScrollViewRef>(null);
const updateContent = useCallback((args: UpdateContentArgs, eventName: string) => {
const updateContentText = `\n Content has been updated on the ${eventName} event.\n\n`;
if (updateContentTimer) {
clearTimeout(updateContentTimer);
}
updateContentTimer = setTimeout(() => {
setContent(eventName === 'PullDown' ? updateContentText + content : content + updateContentText);
args.component.release(false);
}, 500);
}, [content]);
const updateTopContent = useCallback((args: ScrollViewTypes.PullDownEvent) => {
updateContent(args, 'PullDown');
}, [updateContent]);
const updateBottomContent = useCallback((args: ScrollViewTypes.ReachBottomEvent) => {
updateContent(args, 'ReachBottom');
}, [updateContent]);
const pullDownValueChanged = useCallback((args: CheckBoxTypes.ValueChangedEvent) => {
setPullDown(args.value);
}, []);
const reachBottomValueChanged = useCallback((args: CheckBoxTypes.ValueChangedEvent) => {
setReachBottom(args.value);
}, []);
return (
<div id="scrollview-demo">
<ScrollView
id="scrollview"
ref={scrollViewRef}
reachBottomText="Updating..."
scrollByContent={!!scrollByContent}
bounceEnabled={!!pullDown}
onReachBottom={reachBottom ? updateBottomContent : undefined}
onPullDown={updateTopContent}
showScrollbar={showScrollBarMode}
scrollByThumb={!!scrollByThumb}
>
<div className="text-content">{content}</div>
</ScrollView>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Show scrollbar: </span>
<SelectBox
items={showScrollbarModes}
valueExpr="value"
inputAttr={showScrollBarModeLabel}
displayExpr="text"
value={showScrollBarMode}
onValueChange={setShowScrollBarMode}
/>
</div>
<div className="option">
<CheckBox
text="Update content on the ReachBottom event"
value={reachBottom}
onValueChanged={reachBottomValueChanged}
/>
</div>
<div className="option">
<CheckBox
text="Update content on the PullDown event"
value={pullDown}
onValueChanged={pullDownValueChanged}
/>
</div>
<div className="option">
<CheckBox
text="Scroll by content"
value={scrollByContent}
onValueChange={setScrollByContent}
/>
</div>
<div className="option">
<CheckBox
text="Scroll by thumb"
value={scrollByThumb}
onValueChange={setScrollByThumb}
/>
</div>
</div>
</div>
);
};
const showScrollbarModes = [
{
text: 'On Scroll',
value: 'onScroll',
},
{
text: 'On Hover',
value: 'onHover',
},
{
text: 'Always',
value: 'always',
},
{
text: 'Never',
value: 'never',
},
];
export default App;
import React, { useCallback, useRef, useState } from 'react';
import CheckBox from 'devextreme-react/check-box';
import ScrollView from 'devextreme-react/scroll-view';
import SelectBox from 'devextreme-react/select-box';
import service from './data.js';
const showScrollBarModeLabel = { 'aria-label': 'Show Scrollbar Mode' };
let updateContentTimer;
const App = () => {
const [showScrollBarMode, setShowScrollBarMode] = useState('onScroll');
const [pullDown, setPullDown] = useState(false);
const [scrollByContent, setScrollByContent] = useState(true);
const [scrollByThumb, setScrollByThumb] = useState(true);
const [content, setContent] = useState(service.getContent());
const [reachBottom, setReachBottom] = useState(true);
const scrollViewRef = useRef(null);
const updateContent = useCallback(
(args, eventName) => {
const updateContentText = `\n Content has been updated on the ${eventName} event.\n\n`;
if (updateContentTimer) {
clearTimeout(updateContentTimer);
}
updateContentTimer = setTimeout(() => {
setContent(
eventName === 'PullDown' ? updateContentText + content : content + updateContentText,
);
args.component.release(false);
}, 500);
},
[content],
);
const updateTopContent = useCallback(
(args) => {
updateContent(args, 'PullDown');
},
[updateContent],
);
const updateBottomContent = useCallback(
(args) => {
updateContent(args, 'ReachBottom');
},
[updateContent],
);
const pullDownValueChanged = useCallback((args) => {
setPullDown(args.value);
}, []);
const reachBottomValueChanged = useCallback((args) => {
setReachBottom(args.value);
}, []);
return (
<div id="scrollview-demo">
<ScrollView
id="scrollview"
ref={scrollViewRef}
reachBottomText="Updating..."
scrollByContent={!!scrollByContent}
bounceEnabled={!!pullDown}
onReachBottom={reachBottom ? updateBottomContent : undefined}
onPullDown={updateTopContent}
showScrollbar={showScrollBarMode}
scrollByThumb={!!scrollByThumb}
>
<div className="text-content">{content}</div>
</ScrollView>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Show scrollbar: </span>
<SelectBox
items={showScrollbarModes}
valueExpr="value"
inputAttr={showScrollBarModeLabel}
displayExpr="text"
value={showScrollBarMode}
onValueChange={setShowScrollBarMode}
/>
</div>
<div className="option">
<CheckBox
text="Update content on the ReachBottom event"
value={reachBottom}
onValueChanged={reachBottomValueChanged}
/>
</div>
<div className="option">
<CheckBox
text="Update content on the PullDown event"
value={pullDown}
onValueChanged={pullDownValueChanged}
/>
</div>
<div className="option">
<CheckBox
text="Scroll by content"
value={scrollByContent}
onValueChange={setScrollByContent}
/>
</div>
<div className="option">
<CheckBox
text="Scroll by thumb"
value={scrollByThumb}
onValueChange={setScrollByThumb}
/>
</div>
</div>
</div>
);
};
const showScrollbarModes = [
{
text: 'On Scroll',
value: 'onScroll',
},
{
text: 'On Hover',
value: 'onHover',
},
{
text: 'Always',
value: 'always',
},
{
text: 'Never',
value: 'never',
},
];
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
let longText = '';
for (let i = 0; i < 10; i += 1) {
longText += 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n\n';
}
export default {
getContent() {
return longText;
},
};
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'demo-ts-shared': 'project:utils/demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
let longText = '';
for (let i = 0; i < 10; i += 1) {
longText +=
'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n\n';
}
export default {
getContent() {
return longText;
},
};
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#scrollview-demo {
min-height: 550px;
}
.text-content {
white-space: pre-wrap;
}
#scrollview {
height: auto;
position: absolute;
top: 0;
bottom: 300px;
padding: 20px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: absolute;
bottom: 0;
left: 0;
right: 0;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
position: relative;
top: 2px;
margin-right: 10px;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 340px;
width: 100%;
}